<div style="margin-bottom: 15px;">
    <p-dataTable
        [value]="packageReceipts"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idPackage"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <!-- <a class="btn" [routerLink]="['./', { outlets: { popup: ['popup-new'] } }]"> -->
                    <a class="btn" (click)="addNew()">
                        <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['./upload']">
                        <i class="fa fa-upload"></i> &nbsp; Upload
                    </a>
                </li>
            </ul>
            <div class="fieldset-legend">
                <div class="text-left">
                <p-accordion class="filter-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus">
                    <p-accordionTab header="Filter">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Tanggal Shipping List</label>
                                <div class="row">
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar 
                                                inputId="field_slDateFrom" name="input_slDateFrom" 
                                                [(ngModel)]="slDateFrom" 
                                                dateFormat="dd-mm-yy"
                                                [utc]="true" 
                                                [showIcon]="true" 
                                                [monthNavigator]="true" [yearNavigator]="true" yearRange="{{yearForCalendar}}"
                                            ></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-1">s/d</div>
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar 
                                                inputId="field_slDateThru" name="input_slDateThru" 
                                                [(ngModel)]="slDateThru" 
                                                dateFormat="dd-mm-yy"
                                                [utc]="true" 
                                                [showIcon]="true" 
                                                [monthNavigator]="true" [yearNavigator]="true" yearRange="{{yearForCalendar}}"
                                            ></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Tanggal SPG</label>
                                <div class="row">
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-1">s/d</div>
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar class="size-calendar"  [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Main Dealer</label>
                                <select class="form-control" id="field_mainDealer" name="mainDealer">
                                    <option [ngValue]="null"></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter" (click)="filter()">
                            <span>FILTER</span>
                        </button>
                    </div>
                    </p-accordionTab>
                </p-accordion>
                </div>
            </div>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Shipping List">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.documentNumber}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Invoice">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.vendorInvoice}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Shipping List" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateIssued | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Nomor SPG">
            <ng-template let-rowData="rowData" pTemplate="body">
                -
            </ng-template>
        </p-column>
        <p-column header="Tanggal SPG">
            <ng-template let-rowData="rowData" pTemplate="body">
                -
            </ng-template>
        </p-column>
        <p-column header="Dari">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.shipFromName}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['./0/' + page + '/' + rowData.idPackage + '/detail']"
                        icon="fa-pencil"
                        class="flat-button"
                        pTooltip="Edit">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>